# 1.17. 0.10.x Branch

- Upgrade Notes
- Version 0.10.2
- Version 0.10.1
- Version 0.10.0

## 1.17.1. Upgrade Notes

Warning

Version 0.10.2 contains important security fixes. Previous 0.10.x releases are not recommended for regular usage.

### 1.17.1.1. Modular Configuration Directories

CouchDB now loads configuration from the following places (glob(7) syntax) in order:

- PREFIX/default.ini
- PREFIX/default.d/*
- PREFIX/local.ini
- PREFIX/local.d/*

The configuration options for couchdb script have changed to:

    -a FILE     add configuration FILE to chain
    -A DIR      add configuration DIR to chain
    -n          reset configuration file chain (including system default)
    -c          print configuration file chain and exit

### 1.17.1.2. Show and List API change

Show and List functions must have a new structure in 0.10. See Formatting_with_Show_and_List for details.

### 1.17.1.3. Stricter enforcing of reduciness in reduce-functions

Reduce functions are now required to reduce the number of values for a key.

### 1.17.1.4. View query reduce parameter strictness

CouchDB now considers the parameter `reduce=false` to be an error for queries of map-only views, and responds with status code 400.

## 1.17.2. Version 0.10.2

### 1.17.2.1. Build and System Integration

- Fixed distribution preparation for building on Mac OS X.

### 1.17.2.2. Security

- Fixed CVE-2010-0009: Apache CouchDB Timing Attack Vulnerability

### 1.17.2.3. Replicator

- Avoid leaking file descriptors on automatic replication restarts.

## 1.17.3. Version 0.10.1

### 1.17.3.1. Build and System Integration

- Test suite now works with the distcheck target.

### 1.17.3.2. Replicator

- Stability enhancements regarding redirects, timeouts, OAuth.

### 1.17.3.3. Query Server

- Avoid process leaks
- Allow list and view to span languages

### 1.17.3.4. Stats

- Eliminate new process flood on system wake

## 1.17.4. Version 0.10.0

### 1.17.4.1. Build and System Integration

- Changed couchdb script configuration options.
- Added default.d and local.d configuration directories to load sequence.

### 1.17.4.2. HTTP Interface

- Added optional cookie-based authentication handler.
- Added optional two-legged OAuth authentication handler.

### 1.17.4.3. Storage Format

- Add move headers with checksums to the end of database files for extra robust storage and faster storage.

### 1.17.4.4. View Server

- Added native Erlang views for high-performance applications.